Update a teamspace
curl --request PATCH \
--url https://api.plane.so/api/v1/workspaces/{workspace_slug}/teamspaces/{teamspace_id}/ \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"description_json": {},
"description_html": "<string>",
"description_stripped": "<string>",
"description_binary": "<string>",
"logo_props": {},
"lead": "<string>"
}
'import requests
url = "https://api.plane.so/api/v1/workspaces/{workspace_slug}/teamspaces/{teamspace_id}/"
payload = {
"name": "<string>",
"description_json": {},
"description_html": "<string>",
"description_stripped": "<string>",
"description_binary": "<string>",
"logo_props": {},
"lead": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description_json: {},
description_html: '<string>',
description_stripped: '<string>',
description_binary: '<string>',
logo_props: {},
lead: '<string>'
})
};
fetch('https://api.plane.so/api/v1/workspaces/{workspace_slug}/teamspaces/{teamspace_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Teamspaces
Update a teamspace
Updates an existing teamspace by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
PATCH
/
api
/
v1
/
workspaces
/
{workspace_slug}
/
teamspaces
/
{teamspace_id}
/
Update a teamspace
Path parameters
string
required
The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL
https://app.plane.so/my-team/projects/, the workspace slug is my-team.string
required
The unique identifier for the teamspace.
Body parameters
string
Name of the teamspace.
object
JSON representation of the teamspace description.
string
HTML-formatted description of the teamspace.
string
Stripped version of the HTML description.
string
Binary representation of the description.
object
Logo properties for the teamspace
string
ID of the user who leads the teamspace.

